## org.apache.myfaces.config.impl.digester.elements
Class Attribute

    java.lang.Object
      org.apache.myfaces.config.impl.digester.elements.Attribute

public class Attribute
extends java.lang.Object

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $ The "attribute" element represents a named, typed, value associated with the parent UIComponent via the generic attributes mechanism. Attribute names must be unique within the scope of the parent (or related) component.

Author:
  Martin Marinschek

Constructor Summary
`Attribute()`

Method Summary
`void` `addAttributeExtension(java.lang.String attributeExtension)`
`void` `addDescription(java.lang.String value)`
`void` `addDisplayName(java.lang.String value)`
`void` `addIcon(java.lang.String value)`
`java.lang.String` `getAttributeClass()`
`java.util.Iterator` `getAttributeExtensions()`
`java.lang.String` `getAttributeName()`
`java.lang.String` `getDefaultValue()`
`java.util.Iterator` `getDescriptions()`
`java.util.Iterator` `getDisplayNames()`
`java.util.Iterator` `getIcons()`
`java.lang.String` `getSuggestedValue()`
`void` `setAttributeClass(java.lang.String attributeClass)`
`void` `setAttributeName(java.lang.String attributeName)`
`void` `setDefaultValue(java.lang.String defaultValue)`
`void` `setSuggestedValue(java.lang.String suggestedValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute()

Method Detail

### addDescription

    public void addDescription(java.lang.String value)

### getDescriptions

    public java.util.Iterator getDescriptions()

### addDisplayName

    public void addDisplayName(java.lang.String value)

### getDisplayNames

    public java.util.Iterator getDisplayNames()

### addIcon

    public void addIcon(java.lang.String value)

### getIcons

    public java.util.Iterator getIcons()

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)

### getAttributeName

    public java.lang.String getAttributeName()

### setAttributeClass

    public void setAttributeClass(java.lang.String attributeClass)

### getAttributeClass

    public java.lang.String getAttributeClass()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getDefaultValue

    public java.lang.String getDefaultValue()

### setSuggestedValue

    public void setSuggestedValue(java.lang.String suggestedValue)

### getSuggestedValue

    public java.lang.String getSuggestedValue()

### addAttributeExtension

    public void addAttributeExtension(java.lang.String attributeExtension)

### getAttributeExtensions

    public java.util.Iterator getAttributeExtensions()